get
https://api.azuga.com/azuga-ws/v1/trip/info.json
This API provides you with information about all the trips taken for a requested period of time. A trip in Azuga is defined as an ignition on - ignition off cycle. This API recognizes all the locations traversed and the activities of the fleet during those trips.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Requesthttps://api.azuga.com/azuga-ws/v1/trip/info.json?fromDate=1487562869000&toDate=1487661984000
API Response explanation
| Field | Description |
|---|---|
| code | API Status Code |
| message | API Message |
| reason | Reason for failure |
| generatedAtInMillis | API generation timestamp in milliseconds |
| trips | An array of trip objects |
| vehicleId | Unique identifier of the vehicle |
| tsLat | Latitude coordinate of the trip start location |
| tsLon | Longitude coordinate of the trip start location |
| tsAddress | Address of the trip start location |
| tsTime | Trip start timestamp in milliseconds |
| teTime | Trip end timestamp in milliseconds |
| tsFixQuality | Fix quality of the starting location |
| teFixQuality | Fix quality of the ending location |
| teLat | Latitude coordinate of the trip end location |
| teLon | Longitude coordinate of the trip end location |
| teAddress | Address of the trip end location |
| distanceTravelled | Distance covered for the trip |
| overSpeedCount | Number of speeding incidents |
| hardBreakingCount | Number of hard braking incidents |
| hardCoreBrakeCount | Number of hard core braking incidents |
| hardAccelerationCount | Number of hard acceleration incidents |
| fuelConsumed | Total fuel consumed for the trip |
| tripIdleTime | Idling time during the trip |
| id | Unique identifier representing the trip |
| vehicleName | Name of the vehicle |
| maxSpeed | Max speed attained during the trip |
| avgSpeed | Average speed during the trip |
| idlingCount | Number of idling incidents |
| serialNum | Serial number of the device |
| tripTagIds | Unique identifier representing the tag assigned to this trip |
| tags | Tag assigned to this trip |
DisclaimerThis API provides information only for a driver and does not provide aggregated information for a group of vehicles. Admins should not use these APIs, but should look at other sections of the documentation.

